Debian Bug report logs - #675289
libpciaccess: Implement legacy map & io for hurd-i386

version graph

Package: libpciaccess; Maintainer for libpciaccess is Debian X Strike Force <debian-x@lists.debian.org>;

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Thu, 31 May 2012 01:27:01 UTC

Severity: important

Tags: fixed-upstream, patch, upstream

Found in version 0.13.1-2

Fixed in version libpciaccess/0.13.2-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Forwarded to xorg-devel@lists.x.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-hurd@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#675289; Package libpciaccess. (Thu, 31 May 2012 01:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to debian-hurd@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 31 May 2012 01:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libpciaccess: Implement legacy map & io for hurd-i386
Date: Thu, 31 May 2012 03:24:14 +0200
[Message part 1 (text/plain, inline)]
Package: libpciaccess
Version: 0.13.1-2
Severity: important
Tags: patch
User: debian-hurd@lists.debian.org
Usertags: hurd

Hello,

Just like kfreebsd needed in #669062, hurd-i386 needs legacy map & io
support in libpciaccess, otherwise Xorg segfaults, here is a patch.

Samuel

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.4 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- 
Samuel Thibault <samuel.thibault@fnac.net>
<A>  mr  -  remove the home of correct users who accidentally enter mr
<A>        instead of rm
[patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#675289; Package libpciaccess. (Thu, 31 May 2012 01:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 31 May 2012 01:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 675289@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 675289@bugs.debian.org
Subject: Re: Bug#675289: libpciaccess: Implement legacy map & io for hurd-i386
Date: Thu, 31 May 2012 03:49:49 +0200
[Message part 1 (text/plain, inline)]
Samuel Thibault, le Thu 31 May 2012 03:24:14 +0200, a écrit :
> Just like kfreebsd needed in #669062, hurd-i386 needs legacy map & io
> support in libpciaccess, otherwise Xorg segfaults, here is a patch.

Please rather use the attached patch actually: just like on Linux (e.g.
on my laptop actually), it does not disable i/o access, otherwise
several opens and then fewer closes would not leave i/o access enabled.
E.g. with the cirrus driver.

Samuel
[patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#675289; Package libpciaccess. (Thu, 31 May 2012 07:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 31 May 2012 07:15:05 GMT) Full text and rfc822 format available.

Message #15 received at 675289@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 675289@bugs.debian.org
Subject: Re: Bug#675289: libpciaccess: Implement legacy map & io for hurd-i386
Date: Thu, 31 May 2012 09:12:37 +0200
[Message part 1 (text/plain, inline)]
Samuel Thibault <sthibault@debian.org> (31/05/2012):
> Please rather use the attached patch actually: just like on Linux (e.g.
> on my laptop actually), it does not disable i/o access, otherwise
> several opens and then fewer closes would not leave i/o access enabled.
> E.g. with the cirrus driver.

Please follow this (as usual):
  http://www.x.org/wiki/Development/Documentation/SubmittingPatches

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#675289; Package libpciaccess. (Thu, 31 May 2012 18:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 31 May 2012 18:15:10 GMT) Full text and rfc822 format available.

Message #20 received at 675289@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: 675289@bugs.debian.org
Subject: Re: Bug#675289: libpciaccess: Implement legacy map & io for hurd-i386
Date: Thu, 31 May 2012 20:10:25 +0200
forwarded 675289 xorg-devel@lists.x.org
tags 675289 + upstream
thanks

Cyril Brulebois, le Thu 31 May 2012 09:12:37 +0200, a écrit :
> Samuel Thibault <sthibault@debian.org> (31/05/2012):
> > Please rather use the attached patch actually: just like on Linux (e.g.
> > on my laptop actually), it does not disable i/o access, otherwise
> > several opens and then fewer closes would not leave i/o access enabled.
> > E.g. with the cirrus driver.
> 
> Please follow this (as usual):

Well, I had simply used the same way as was done for kFreeBSD in
#669062...  But alright, now forwarded.

Samuel




Set Bug forwarded-to-address to 'xorg-devel@lists.x.org'. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Thu, 31 May 2012 18:15:11 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Thu, 31 May 2012 18:15:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#675289; Package libpciaccess. (Fri, 08 Jun 2012 01:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 08 Jun 2012 01:18:03 GMT) Full text and rfc822 format available.

Message #29 received at 675289@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: 675289@bugs.debian.org
Subject: Re: Bug#675289: libpciaccess: Implement legacy map & io for hurd-i386
Date: Fri, 8 Jun 2012 03:15:48 +0200
Samuel Thibault, le Thu 31 May 2012 20:10:25 +0200, a écrit :
> Cyril Brulebois, le Thu 31 May 2012 09:12:37 +0200, a écrit :
> > Samuel Thibault <sthibault@debian.org> (31/05/2012):
> > > Please rather use the attached patch actually: just like on Linux (e.g.
> > > on my laptop actually), it does not disable i/o access, otherwise
> > > several opens and then fewer closes would not leave i/o access enabled.
> > > E.g. with the cirrus driver.
> > 
> > Please follow this (as usual):
> 
> now forwarded.

Without answer
(http://lists.x.org/archives/xorg-devel/2012-May/031462.html).

AIUI the RepoPolicy, even if I have commit right I need patch review for
master branch commit, I'm not sure what to do now.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#675289; Package libpciaccess. (Sat, 09 Jun 2012 10:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 09 Jun 2012 10:39:08 GMT) Full text and rfc822 format available.

Message #34 received at 675289@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 675289@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#675289: libpciaccess: Implement legacy map & io for hurd-i386
Date: Sat, 9 Jun 2012 12:35:50 +0200
On Fri, Jun  8, 2012 at 03:15:48 +0200, Samuel Thibault wrote:

> Samuel Thibault, le Thu 31 May 2012 20:10:25 +0200, a écrit :
> > Cyril Brulebois, le Thu 31 May 2012 09:12:37 +0200, a écrit :
> > > Samuel Thibault <sthibault@debian.org> (31/05/2012):
> > > > Please rather use the attached patch actually: just like on Linux (e.g.
> > > > on my laptop actually), it does not disable i/o access, otherwise
> > > > several opens and then fewer closes would not leave i/o access enabled.
> > > > E.g. with the cirrus driver.
> > > 
> > > Please follow this (as usual):
> > 
> > now forwarded.
> 
> Without answer
> (http://lists.x.org/archives/xorg-devel/2012-May/031462.html).
> 
> AIUI the RepoPolicy, even if I have commit right I need patch review for
> master branch commit, I'm not sure what to do now.
> 
That's only for the server and a couple drivers.  Most other repos are
open.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#675289; Package libpciaccess. (Sun, 10 Jun 2012 16:18:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 10 Jun 2012 16:18:53 GMT) Full text and rfc822 format available.

Message #39 received at 675289@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 675289@bugs.debian.org, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#675289: libpciaccess: Implement legacy map & io for hurd-i386
Date: Sun, 10 Jun 2012 17:26:16 +0200
tags 675289 + fixed-upstream
thanks

Julien Cristau, le Sat 09 Jun 2012 12:35:50 +0200, a écrit :
> On Fri, Jun  8, 2012 at 03:15:48 +0200, Samuel Thibault wrote:
> 
> > Samuel Thibault, le Thu 31 May 2012 20:10:25 +0200, a écrit :
> > > Cyril Brulebois, le Thu 31 May 2012 09:12:37 +0200, a écrit :
> > > > Samuel Thibault <sthibault@debian.org> (31/05/2012):
> > > > > Please rather use the attached patch actually: just like on Linux (e.g.
> > > > > on my laptop actually), it does not disable i/o access, otherwise
> > > > > several opens and then fewer closes would not leave i/o access enabled.
> > > > > E.g. with the cirrus driver.
> > > > 
> > > > Please follow this (as usual):
> > > 
> > > now forwarded.
> > 
> > Without answer
> > (http://lists.x.org/archives/xorg-devel/2012-May/031462.html).
> > 
> > AIUI the RepoPolicy, even if I have commit right I need patch review for
> > master branch commit, I'm not sure what to do now.
> > 
> That's only for the server and a couple drivers.  Most other repos are
> open.

Ok, now pushed to upstream.

Samuel




Added tag(s) fixed-upstream. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Sun, 10 Jun 2012 16:19:05 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Mon, 12 Aug 2013 10:21:13 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Mon, 12 Aug 2013 10:21:13 GMT) Full text and rfc822 format available.

Message #46 received at 675289-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 675289-close@bugs.debian.org
Subject: Bug#675289: fixed in libpciaccess 0.13.2-1
Date: Mon, 12 Aug 2013 10:18:50 +0000
Source: libpciaccess
Source-Version: 0.13.2-1

We believe that the bug you reported is fixed in the latest version of
libpciaccess, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675289@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated libpciaccess package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 12 Aug 2013 12:10:47 +0200
Source: libpciaccess
Binary: libpciaccess0 libpciaccess0-udeb libpciaccess-dev
Architecture: source amd64
Version: 0.13.2-1
Distribution: sid
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 libpciaccess-dev - Generic PCI access library for X - development files
 libpciaccess0 - Generic PCI access library for X
 libpciaccess0-udeb - Generic PCI access library for X (udeb)
Closes: 675289
Changes: 
 libpciaccess (0.13.2-1) unstable; urgency=low
 .
   * New upstream release.
     - FreeBSD legacy map and io patch is now upstream
     - implements hurd legacy map and io (closes: #675289)
   * Update d/copyright from COPYING.
Checksums-Sha1: 
 2e9e1d8dd3e0f27ed22b3a1879e07c3c5f95adb4 2138 libpciaccess_0.13.2-1.dsc
 0f2bf2e29de543ae3f85d29391ff7c66bd298395 431792 libpciaccess_0.13.2.orig.tar.gz
 316f521a3001266a634bccca1d50506fcaff887c 19547 libpciaccess_0.13.2-1.diff.gz
 4a45e9560bd1b183eccd91e1b81542c95690229b 46538 libpciaccess0_0.13.2-1_amd64.deb
 bc1583d8310db2146866f0a64f9bbf326bbfef6f 13860 libpciaccess0-udeb_0.13.2-1_amd64.udeb
 904ad0a5457e17cc966c97975d998f6b11496d1a 49486 libpciaccess-dev_0.13.2-1_amd64.deb
Checksums-Sha256: 
 db28b6c303617144fa2bbd4d2127248b11c3255a6e06cf8161edb81997496648 2138 libpciaccess_0.13.2-1.dsc
 b5459e347166113cefac80003dc5c431a8399ae936b3efcd2cef6437fbe88602 431792 libpciaccess_0.13.2.orig.tar.gz
 c86939cbff3a69429d1c190db24de0cee66eb72f667933d970e1156f7d49afd3 19547 libpciaccess_0.13.2-1.diff.gz
 9175ff86eda225a9bbf55cdee5851f3d5d5f89e778c403e8fc8ce9389181e355 46538 libpciaccess0_0.13.2-1_amd64.deb
 9b2b1ac53a68a0b217e916a2f516eb34c490d546ccd124dd45f5870ca4395999 13860 libpciaccess0-udeb_0.13.2-1_amd64.udeb
 4637f47df5929c2c6a94a6bc985712ae6a58edd3808116a8564e1bcb509cd1e8 49486 libpciaccess-dev_0.13.2-1_amd64.deb
Files: 
 ad121bfb251b6272b3d9949b7e352df4 2138 devel optional libpciaccess_0.13.2-1.dsc
 c49bd638c78fa4124e11432c1a94b5f4 431792 devel optional libpciaccess_0.13.2.orig.tar.gz
 80436a9bd94f596fcddb4f5191d34a5b 19547 devel optional libpciaccess_0.13.2-1.diff.gz
 e430cac17f284039afcbf65ddbeb7951 46538 libs optional libpciaccess0_0.13.2-1_amd64.deb
 f419d825edd7bd900beeb03abd25c3f9 13860 debian-installer optional libpciaccess0-udeb_0.13.2-1_amd64.udeb
 da76695f55188cee02c84897087965c8 49486 libdevel optional libpciaccess-dev_0.13.2-1_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBAgAGBQJSCLVvAAoJEDEBgAUJBeQMAF4QAMs/tve1M8s7GPRKALMvNMJa
lamXOjc5ed1PN5gnaTpFhBs66sMVHP5j2uN3ytAtutGIu5d2S8qCbXb6fZrnxhub
HbjygvRKx0LGUwzc8CqIJ0XGEVZxN3wfXBVI7X0M0UDxR8HtsmXehpIzTj973Xgd
I9+4jqtUvLRW8Yt0rQFmQHwvJdPQ7qUjYEN61+gHvgSq+CENXoOYC9UuB+CGwiRP
sYfUP6xDIha8Ea5bFnuJUnxzZcWegFQXtIpa45H6Ult1bdiqNqVpm8QGKQZz4Scl
I1pASipDxeamcIL6ikoO2ULN30hyoOV46Vn2xJxP4b8m8VkvPtSmFjTG2K0MFSEd
Cx6YXrjdJUub4GhrvRSaDbFki02v24//iEjKBZb2n1J/8oL3Kj/G3YQLQ/slztp6
jSumAgBXPicJmSYU6uRHQjrt+TYBB0ivtN1TQnsosy4kCBfMzh7xWnriVHYrZnIC
5nwyDu3rxk0lP2+EH4o4MprHIysjxtAD11zu6XR/1C99WLiJG7Yt19zEd96CnpiT
nUFMC6wAyXLgNyrDXxWvEueTH07xhdC9iP+lHeCxaG6AmjPNJw8ciiRNdpOrQWSZ
yLhllTooiwVoPKjpvxM+A0c8Xc4ej11Ln5oxEmT0cytBP4BaeTq3Vio0fKFUQQ1z
8DqAl18GJ5xIbcukiqHB
=w3EE
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 Sep 2013 07:33:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:37:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.